Name:          lxqt-globalkeys
Version:       2.0.0
Release:       1mamba
Summary:       Tools to set global keyboard shortcuts in LXQt sessions
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lxqt/lxqt-globalkeys
Source:        https://github.com/lxqt/lxqt-globalkeys.git/%{version}/lxqt-globalkeys-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libglvnd-devel
BuildRequires: libkf6-kwindowsystem-devel
BuildRequires: liblxqt-devel
BuildRequires: libqtxdg-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt6-qtbase-devel
BuildRequires: qt6-qtsvg-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Tools to set global keyboard shortcuts in LXQt sessions, that is shortcuts which apply to the LXQt session as a whole and are not limited to distinct applications.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

find %{buildroot}%{_datadir}/*/translations/ -name *.qm | \
while read line; do
  bn=`echo ${line}|cut -d_ -f2-3`
  echo "%lang(${bn/.*}) ${line/*-root}" >> %{name}.lang
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/lxqt-globalkeyshortcuts.desktop
%{_bindir}/lxqt-config-globalkeyshortcuts
%{_bindir}/lxqt-globalkeysd
%{_datadir}/applications/lxqt-config-globalkeyshortcuts.desktop
%{_datadir}/lxqt/globalkeyshortcuts.conf

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/liblxqt-globalkeys-ui.so.*
%{_libdir}/liblxqt-globalkeys.so.*
%doc AUTHORS LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/lxqt-globalkeys-ui
%dir %{_includedir}/lxqt-globalkeys-ui/LXQtGlobalKeysUi
%{_includedir}/lxqt-globalkeys-ui/LXQtGlobalKeysUi/ShortcutSelector
%{_includedir}/lxqt-globalkeys-ui/*
%dir %{_includedir}/lxqt-globalkeys/LXQtGlobalKeys
%{_includedir}/lxqt-globalkeys/LXQtGlobalKeys/*
%dir %{_includedir}/lxqt-globalkeys
%{_includedir}/lxqt-globalkeys/*
%{_libdir}/liblxqt-globalkeys-ui.so
%{_libdir}/liblxqt-globalkeys.so
%{_libdir}/pkgconfig/lxqt-globalkeys-ui.pc
%{_libdir}/pkgconfig/lxqt-globalkeys.pc
%dir %{_datadir}/cmake/lxqt-globalkeys-ui
%{_datadir}/cmake/lxqt-globalkeys-ui/lxqt-globalkeys-ui-*.cmake
%dir %{_datadir}/cmake/lxqt-globalkeys
%{_datadir}/cmake/lxqt-globalkeys/lxqt-globalkeys-*.cmake
%doc README.md

%changelog
* Thu Apr 25 2024 Automatic Build System <autodist@openmamba.org> 2.0.0-1mamba
- automatic version update by autodist

* Mon Nov 06 2023 Automatic Build System <autodist@mambasoft.it> 1.4.0-1mamba
- automatic version update by autodist

* Tue Apr 18 2023 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Tue Apr 19 2022 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Fri Jan 07 2022 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Sun Nov 21 2021 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Sat Apr 17 2021 Automatic Build System <autodist@mambasoft.it> 0.17.0-1mamba
- automatic version update by autodist

* Mon Nov 09 2020 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic version update by autodist

* Fri Oct 02 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.0-1mamba
- package created using the webbuild interface
